Listar looks
curl --request GET \
--url https://api.dooki.com.br/v2/{alias}/catalog/looks \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>'import requests
url = "https://api.dooki.com.br/v2/{alias}/catalog/looks"
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'User-Token': '<api-key>', 'User-Secret-Key': '<api-key>'}
};
fetch('https://api.dooki.com.br/v2/{alias}/catalog/looks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"active": true,
"name": "Nome do Look",
"slug": "nome-do-look",
"description": "Descrição do look",
"total_products": 123,
"url": "<string>",
"products_ids": [
1,
2,
3,
4,
5
],
"total_price": 123,
"total_price_formated": "<string>",
"installments": {
"max_installment": 123,
"max_installment_value": 123,
"amount": 123,
"text": "<string>",
"text_with_tax": "<string>",
"text_discount_percent": "<string>",
"text_discount": "<string>"
},
"created_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"updated_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
}
}
],
"meta": {
"meta": {
"pagination": {
"total": "10",
"count": "30",
"per_page": "10",
"current_page": "1",
"total_pages": "3",
"links": {
"previous": "",
"next": ""
}
}
}
}
}Looks
Listar looks
Obtém uma lista de looks
GET
/
{alias}
/
catalog
/
looks
Listar looks
Path Parameters
Alias da loja
Query Parameters
Inclui dados adicionais (ex: products)
Was this page helpful?
⌘I